A1D {bimets} | R Documentation

## A1D

### Description

This function returns the array built with input argment values. Input can be time series, numerical arrays or strings.

### Usage

    A1D(..., length = NULL, avoidCompliance = FALSE)

### Arguments

`...` | Input argument list. This function accepts strings, time series, objects of class `numeric` or `logical`. Input time series must satisfy the compliance control check defined in `is.bimets`
`length` | Length of output array, that must be greater than the sum of each input argument size: if the length of the output array is provided, than the output array will be eventually filled with zeros.
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`

### Value

This function returns an array of the same class of the input.

### See Also

`NOELS`
`is.bimets`
`BIMETS indexing`
`TIMESERIES`
`TSDATES`
`LOCS`
`NAMELIST`
`INTS`
`TSINFO`
`TSLOOK`
`TABIT`
`ELIMELS`
`INDEXNUM`

### Examples

    	n=10;
    	#create ts
    	ts1=TSERIES(rnorm(n),START=c(2000,1),FREQ=1);

    	#create A1D() array with scalars, ts, and NA
    	out_a1d=A1D(length=25, ts1, 1, -8.9, NA);
    	print(out_a1d);

    	#same example no length specified
    	out_a1d=A1D(ts1, 1, -8.9, NA);
    	print(out_a1d);

    	#strings example
    	out_a1d=A1D(length=5,'aa','bb','ccc');
    	print(out_a1d);

[Package bimets version 1.4.0 Index]